<?php
session_start();
if($_SESSION["username"]=="")
{
 	echo "You are not Logged in Please <a href='index.html'>Sign in </a> First ";
}
else
{

include 'dbc.php';
$username=$_SESSION["username"];
$current_file_name = basename($_SERVER['PHP_SELF']);
$sql = "SELECT * FROM adduser where feedisc2 = '$current_file_name' and uname = '$username'";
$result=$conn->query($sql);
$row = $result->fetch_assoc();
$status=$row['feedisc3'] ;

if ($status =="")
{
echo "You are not Authorized This Page <a href='maindashboard.php'>Back </a> ";
}
else
{
include 'dbc.php';
$id=$_REQUEST["id"];
$userid=$_SESSION["userid"];
$today=date("Y-m-d");
$month = date("m",strtotime($today));
		$year = date("Y",strtotime($today));
		 $month_name = date("F", mktime(0, 0, 0, $month, 10));
		
		
		 $my=$month_name . " " . $year;
		 
		
?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->

<head>
   <?php include("includes/header.php") ?>
</head>

<body>


    <!-- Left Panel -->

 
    <!-- Left Panel -->

    <!-- Right Panel -->

    <div id="right-panel" class="right-panel">

        <!-- Header-->
        <header id="header" class="header">

             <?php include("includes/emp_menu.php") ?>

        </header><!-- /header -->
        <!-- Header-->

        <div class="breadcrumbs">
            <div class="col-sm-6">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1><? echo "" . $_SESSION["userid"]; ?></h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="page-header float-right">
                    <div class="page-title">
                        <ol class="breadcrumb text-right">
                            <li class="active"><? echo "" . $_SESSION["username"]; ?></li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <div class="content mt-3">

           


          <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header"><strong>Staff/Employee Salary</strong><small> Form</small></div>
                            <div class="card-body card-block">
							
							 <?php
include 'dbc.php';

$subtypename=$_REQUEST["subtypename"];
$userid=$_SESSION["userid"];
$today=date("Y-m-d");


$sqlrec = "SELECT * FROM teacher where  user_id='$userid' ORDER BY tech_name";
$resultrec=$conn->query($sqlrec);
  
?>
                                <table id="bootstrap-data-table-export" class="table table-striped table-bordered">
                                    <thead>
									<?php
echo "<tr>";
echo "<th colspan=7><center> Genral Information</center> </th>";
echo "<th colspan=3><center> Attendance Info </center></th>";
echo "<th colspan=4><center> Deduction Information</center> </th>";
echo "<th colspan=8><center> Allownces Information </center></th>";
echo "</tr>";
echo "<tr>";
echo "<th > Employee Name </th>";
echo "<th > Id </th>";
echo "<th > Status </th>";
echo "<th > Desg </th>";
echo "<th > J.Date </th>";
echo "<th > I.Date </th>";
echo "<th > Basic Salary</th>";
echo "<th > T.Days</th>";
echo "<th > Absent</th>";
echo "<th > Advance</th>";
echo "<th > Adv Ded</th>";
echo "<th > M.Sec Ded</th>";
echo "<th > Sec Ded</th>";
echo "<th > Other Ded</th>";
echo "<th > Leave Allow</th>";
echo "<th > Increament</th>";
echo "<th > Other Allow</th>";
echo "<th > Fuel Allow</th>";
echo "<th > Daily Allow</th>";
echo "<th > Mobile Allow</th>";
echo "<th > Sec Ret</th>";
echo "<th > T.Sec Ret</th>";
echo "</tr>";
?>
                                    </thead>
									
                                    <tbody>
									<?php
echo "<form name='form_update' method='post' action='Genrate_Salary_Save.php'>\n";
while($students = $resultrec->fetch_assoc()) {

	echo '<tr>';
	
	
	echo "<td>{$students['tech_name']}<input type='hidden' name='tech_name[$i]' value='{$students['tech_name']}' /></td>";
	echo "<td>{$students['teacher_id']}<input type='hidden' name='teacher_id[$i]' value='{$students['teacher_id']}' /></td>";
	echo "<td>{$students['status']}<input type='hidden' name='status[$i]' value='{$students['status']}' /></td>";
	echo "<td>{$students['class_name']}<input type='hidden' name='class_name[$i]' value='{$students['class_name']}' /></td>";
	echo "<td>{$students['adm_date']}<input type='hidden' name='adm_date[$i]' value='{$students['adm_date']}' /></td>";
	echo "<td>{$students['idate']}<input type='hidden' name='idate[$i]' value='{$students['idate']}' /></td>";
	echo "<td>{$students['monthly_salary']}<input type='hidden' name='monthly_salary[$i]' value='{$students['monthly_salary']}' /></td>";
	echo "<td><input type='text' size='3' name='tdays[$i]' value='30' /></td>";
	echo "<td><input type='text' size='3' name='adays[$i]' /></td>";
	echo "<td>{$students['loan']}<input type='hidden' name='advded1[$i]' value='{$students['loan']}' /></td>";
	
	echo "<td><input type='text' size='3' name='advded[$i]' /></td>";
	echo "<td>{$students['securityded']}<input type='hidden' name='securityded1[$i]' value='{$students['securityded']}' /></td>";
	echo "<td><input type='text' size='3' name='secded[$i]' /></td>";
	echo "<td><input type='text' size='3' name='oded[$i]' /></td>";
	echo "<td><input type='text' size='3' name='leaveallow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='dailyallow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='oallow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='fallow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='callow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='pallow[$i]' /></td>";
	echo "<td><input type='text' size='3' name='secret[$i]' /></td>";
	echo "<td>{$students['security']}<input type='hidden' name='secret[$i]' value='{$students['security']}' /></td>";
	
	 
	echo '</tr>';
	++$i;
}
?>
												
																
												<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Date</label><input type="text" id="saldate" name="saldate" placeholder="Date" class="form-control" value="<? echo $today ?>"></div>
								</div>
												
									
	
								
								<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Salary Month</label><input type="text" id="month_name" name="month_name" placeholder="Attendance Month" class="form-control" value="<? echo $my ?>" ></div>
								</div>
								
								
								
								<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Session </label><input type="text" id="sess1" name="sess1" placeholder="Session" class="form-control" value="<? echo $year ?>" ></div>
								</div>
								
		
                                                    </div>
													<div class="card-footer">
                                                       <?php
echo '<tr>';
echo "<td><input type='submit' value='Genrate' /></td>";

echo '</tr>';
echo "</form>";
echo '</table>';
?>
                                                       
                                                    </div>
													
													
                                                </div>
                                            </div>

            


        </div> <!-- .content -->
    </div><!-- /#right-panel -->

    <!-- Right Panel -->

   <?php include("includes/footermenu.php") ?>

</body>

</html>
<?php
}
}
?>